Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1721673002: Removed Document::addedStyleSheet. (Closed)

Created:
2 years, 10 months ago by rune
Modified:
2 years, 10 months ago
Reviewers:
esprehn
CC:
blink-reviews, blink-reviews-dom_chromium.org, blink-reviews-html_chromium.org, blink-reviews-style_chromium.org, chromium-reviews, dglazkov+blink, eae+blinkwatch, gavinp+prerender_chromium.org, rwlbuis, sof, Yoav Weiss
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Removed Document::addedStyleSheet. Replace it with resolverChanged(). It was only a call from StyleEngine into Document and back into StyleEngine. Removed a couple of comments referring to the removed method which were confusing/out-of-date. Moved call to resolverChanged() immediately following modifiedStyleSheetCandidateNode() into the latter method. Made StyleEngine::markDocumentDirty() private. No functional changes. BUG=567021 Committed: https://crrev.com/e4fec04138c05a31edf8942afef26914e8b38e52 Cr-Commit-Position: refs/heads/master@{#376894}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -16 lines) Patch
M third_party/WebKit/Source/core/dom/Document.h View 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/dom/Document.cpp View 1 chunk +0 lines, -5 lines 0 comments Download
M third_party/WebKit/Source/core/dom/StyleEngine.h View 2 chunks +1 line, -2 lines 0 comments Download
M third_party/WebKit/Source/core/dom/StyleEngine.cpp View 3 chunks +2 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLLinkElement.cpp View 2 chunks +0 lines, -5 lines 0 comments Download

Messages

Total messages: 15 (7 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1721673002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1721673002/1
2 years, 10 months ago (2016-02-22 12:59:45 UTC) #2
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
2 years, 10 months ago (2016-02-22 14:22:38 UTC) #4
rune
I'm in the process of moving resolverChanged() calls, which synchronously updates the active stylesheets, into ...
2 years, 10 months ago (2016-02-23 01:05:39 UTC) #7
esprehn
lgtm, hopefully we'll get to the place where the idea behind those added/removed methods is ...
2 years, 10 months ago (2016-02-23 01:18:04 UTC) #8
rune
On 2016/02/23 01:18:04, esprehn wrote: > lgtm, hopefully we'll get to the place where the ...
2 years, 10 months ago (2016-02-23 01:23:56 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1721673002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1721673002/1
2 years, 10 months ago (2016-02-23 01:23:57 UTC) #11
commit-bot: I haz the power
Committed patchset #1 (id:1)
2 years, 10 months ago (2016-02-23 01:31:03 UTC) #13
commit-bot: I haz the power
2 years, 10 months ago (2016-02-23 01:32:00 UTC) #15
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/e4fec04138c05a31edf8942afef26914e8b38e52
Cr-Commit-Position: refs/heads/master@{#376894}

Powered by Google App Engine
This is Rietveld 408576698